
From: willy@parisc-linux.org (Matthew Wilcox)

What does it mean to release a resource with children?  Should the children
become children of the released resource's parent?  Should they be released
too?  Should we fail the release?

I bet we have no callers who expect this right now, but with
insert_resource() we may get some.  At the point where someone hits this
BUG we can figure out what semantics we want.

Signed-off-by: Matthew Wilcox <willy@parisc-linux.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/resource.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN kernel/resource.c~releasing-resources-with-children kernel/resource.c
--- 25/kernel/resource.c~releasing-resources-with-children	2005-03-21 23:42:44.000000000 -0800
+++ 25-akpm/kernel/resource.c	2005-03-21 23:43:24.000000000 -0800
@@ -193,6 +193,8 @@ static int __release_resource(struct res
 {
 	struct resource *tmp, **p;
 
+	WARN_ON(old->child);
+
 	DEBUGP("%s: %s resource release for 0x%lx-0x%lx\n", __FUNCTION__,
 	       old->name, old->start, old->end);
 	p = &old->parent->child;
_
